%define __python %{__python3}

%define uname   Vulkan-Headers

Name:           vulkan-headers
Version:        1.2.162.0
Release:        %mkrel 1
Summary:        Vulkan header files and API registry
Group:          Development/C
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        https://github.com/KhronosGroup/Vulkan-Headers/archive/sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildArch:      noarch

%description
Vulkan header files and API registry.

%prep
%autosetup -p1 -n %{uname}-sdk-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_includedir}/vulkan/
%dir %{_datadir}/vulkan
%{_datadir}/vulkan/registry/


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.2.162.0-1.mga8
+ Revision: 1666091
- 1.2.162.0

* Mon Oct 12 2020 akien <akien> 1.2.154.0-1.mga8
+ Revision: 1633744
- SDK 1.2.154.0

* Mon Feb 17 2020 akien <akien> 1.2.131.1-2.mga8
+ Revision: 1536919
- SDK 1.2.131.1

* Sun Feb 16 2020 daviddavid <daviddavid> 1.1.121.0-2.mga8
+ Revision: 1534145
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 akien <akien> 1.1.121.0-1.mga8
+ Revision: 1445837
- SDK 1.1.121.0

* Thu Apr 18 2019 akien <akien> 1.1.106.0-1.mga7
+ Revision: 1393153
- SDK 1.1.106.0

* Tue Mar 26 2019 akien <akien> 1.1.101.0-1.mga7
+ Revision: 1380448
- SDK 1.1.101.0

* Mon Dec 10 2018 akien <akien> 1.1.92.0-1.mga7
+ Revision: 1339896
- Simplify and adapt to Mageia
- import vulkan-headers from Fedora Rawhide


* Mon Dec 03 2018 Dave Airlie <airlied@redhat.com> - 1.1.92.0-1
- Update to 1.1.92.0

* Sat Oct 20 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.85.0-1
- Update to 1.1.85.0

* Tue Aug 07 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial package
